API Hop 문서
Instagram 엔드포인트 참조
인증이 필요한 93개 엔드포인트에서 Instagram 프로필, 게시물, Reels, 스토리, 댓글, 팔로워, 장소 및 검색 결과를 조회합니다.
선택한 엔드포인트에 명시된 필드만 보내세요. 대체 필드 그룹마다 최소 하나를 제공해야 합니다. 커서는 이전 응답에서 가져오며 자동 페이지 처리는 없습니다.
모든 작업은 본문 없이 GET 쿼리 매개변수를 사용합니다. 버전 경로는 Instagram 인터페이스 버전을 선택합니다. 알 수 없거나 중복된 필드는 거부됩니다. 식별자와 페이지 커서는 JavaScript 안전 정수 범위를 넘는 값도 문자열로 유지하세요.
반환 항목 수가 아닌 성공한 요청마다 과금합니다. 각 페이지는 별도 요청입니다. V1은 $0.001, V2는 $0.002, V3는 $0.008이며 V3의 단축 코드 도구 3개는 $0.002입니다. 계정별 가격이 우선합니다. 공급자의 사용량 할인은 자동 적용되지 않습니다. 공급자 호출 실패 시 예약 금액을 해제하며, 정산 실패 시 재호출 없이 오류를 반환합니다.
v1-shortcode_to_media_id
GET https://api.apihop.ai/v1/instagram/v1/media-ids
성공한 요청당 가격: $0.001 (1000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
shortcode | 예 | string |
curl --get "https://api.apihop.ai/v1/instagram/v1/media-ids" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "shortcode=DRhvwVLAHAG"v1-media_id_to_shortcode
GET https://api.apihop.ai/v1/instagram/v1/shortcodes
성공한 요청당 가격: $0.001 (1000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
media_id | 예 | string |
curl --get "https://api.apihop.ai/v1/instagram/v1/shortcodes" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "media_id=3774507992167247878"v1-user_id_to_username
GET https://api.apihop.ai/v1/instagram/v1/users/username
성공한 요청당 가격: $0.001 (1000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
user_id | 예 | string |
curl --get "https://api.apihop.ai/v1/instagram/v1/users/username" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "user_id=18527"v1-fetch_user_info_by_username
GET https://api.apihop.ai/v1/instagram/v1/users/profile/by-username
성공한 요청당 가격: $0.001 (1000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
username | 예 | string |
curl --get "https://api.apihop.ai/v1/instagram/v1/users/profile/by-username" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "username=instagram"v1-fetch_user_info_by_username_v2
GET https://api.apihop.ai/v1/instagram/v1/users/profile/by-username-v2
성공한 요청당 가격: $0.001 (1000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
username | 예 | string |
curl --get "https://api.apihop.ai/v1/instagram/v1/users/profile/by-username-v2" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "username=instagram"v1-fetch_user_info_by_username_v3
GET https://api.apihop.ai/v1/instagram/v1/users/profile/by-username-v3
성공한 요청당 가격: $0.001 (1000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
username | 예 | string |
curl --get "https://api.apihop.ai/v1/instagram/v1/users/profile/by-username-v3" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "username=instagram"v1-fetch_user_info_by_id
GET https://api.apihop.ai/v1/instagram/v1/users/profile/by-id
성공한 요청당 가격: $0.001 (1000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
user_id | 예 | string |
curl --get "https://api.apihop.ai/v1/instagram/v1/users/profile/by-id" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "user_id=25025320"v1-fetch_user_info_by_id_v2
GET https://api.apihop.ai/v1/instagram/v1/users/profile/by-id-v2
성공한 요청당 가격: $0.001 (1000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
user_id | 예 | string |
curl --get "https://api.apihop.ai/v1/instagram/v1/users/profile/by-id-v2" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "user_id=25025320"v1-fetch_user_about_info
GET https://api.apihop.ai/v1/instagram/v1/users/about
성공한 요청당 가격: $0.001 (1000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
user_id | 예 | string |
curl --get "https://api.apihop.ai/v1/instagram/v1/users/about" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "user_id=182988865"v1-fetch_user_posts
GET https://api.apihop.ai/v1/instagram/v1/users/posts
성공한 요청당 가격: $0.001 (1000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
user_id | 예 | string |
count | 아니요 | integer; >= 1; <= 50 |
max_id | 아니요 | string |
curl --get "https://api.apihop.ai/v1/instagram/v1/users/posts" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "user_id=25025320"v1-fetch_user_posts_v2
GET https://api.apihop.ai/v1/instagram/v1/users/posts-v2
성공한 요청당 가격: $0.001 (1000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
user_id | 예 | string |
count | 아니요 | integer; >= 1; <= 50 |
end_cursor | 아니요 | string |
curl --get "https://api.apihop.ai/v1/instagram/v1/users/posts-v2" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "user_id=25025320"v1-fetch_user_reels
GET https://api.apihop.ai/v1/instagram/v1/users/reels
성공한 요청당 가격: $0.001 (1000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
user_id | 예 | string |
count | 아니요 | integer; >= 1; <= 50 |
max_id | 아니요 | string |
curl --get "https://api.apihop.ai/v1/instagram/v1/users/reels" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "user_id=25025320"v1-fetch_user_reposts
GET https://api.apihop.ai/v1/instagram/v1/users/reposts
성공한 요청당 가격: $0.001 (1000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
user_id | 예 | string |
max_id | 아니요 | string |
curl --get "https://api.apihop.ai/v1/instagram/v1/users/reposts" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "user_id=25025320"v1-fetch_user_tagged_posts
GET https://api.apihop.ai/v1/instagram/v1/users/tagged-posts
성공한 요청당 가격: $0.001 (1000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
user_id | 예 | string |
count | 아니요 | integer; >= 1; <= 50 |
end_cursor | 아니요 | string |
curl --get "https://api.apihop.ai/v1/instagram/v1/users/tagged-posts" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "user_id=25025320"v1-fetch_related_profiles
GET https://api.apihop.ai/v1/instagram/v1/users/related
성공한 요청당 가격: $0.001 (1000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
user_id | 예 | string |
curl --get "https://api.apihop.ai/v1/instagram/v1/users/related" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "user_id=25025320"v1-fetch_search
GET https://api.apihop.ai/v1/instagram/v1/search
성공한 요청당 가격: $0.001 (1000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
query | 예 | string |
select | 아니요 | string |
curl --get "https://api.apihop.ai/v1/instagram/v1/search" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "query=taylorswift"v1-fetch_post_by_url
GET https://api.apihop.ai/v1/instagram/v1/posts/by-url
성공한 요청당 가격: $0.001 (1000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
post_url | 예 | string |
curl --get "https://api.apihop.ai/v1/instagram/v1/posts/by-url" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "post_url=https://www.instagram.com/p/DPwhVB-jo9k/"v1-fetch_post_by_url_v2
GET https://api.apihop.ai/v1/instagram/v1/posts/by-url-v2
성공한 요청당 가격: $0.001 (1000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
post_url | 예 | string |
curl --get "https://api.apihop.ai/v1/instagram/v1/posts/by-url-v2" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "post_url=https://www.instagram.com/p/DPwhVB-jo9k/"v1-fetch_post_by_id
GET https://api.apihop.ai/v1/instagram/v1/posts/by-id
성공한 요청당 가격: $0.001 (1000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
post_id | 예 | string |
curl --get "https://api.apihop.ai/v1/instagram/v1/posts/by-id" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "post_id=3742637871112032100"v1-fetch_post_comments_v2
GET https://api.apihop.ai/v1/instagram/v1/posts/comments-v2
성공한 요청당 가격: $0.001 (1000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
media_id | 예 | string |
sort_order | 아니요 | string |
min_id | 아니요 | string |
curl --get "https://api.apihop.ai/v1/instagram/v1/posts/comments-v2" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "media_id=3766120364183949816"v1-fetch_comment_replies
GET https://api.apihop.ai/v1/instagram/v1/comments/replies
성공한 요청당 가격: $0.001 (1000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
media_id | 예 | string |
comment_id | 예 | string |
min_id | 아니요 | string |
curl --get "https://api.apihop.ai/v1/instagram/v1/comments/replies" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "media_id=3766120364183949816" \
--data-urlencode "comment_id=17871667485468098"v1-fetch_music_posts
GET https://api.apihop.ai/v1/instagram/v1/music/posts
성공한 요청당 가격: $0.001 (1000 credits).
최소 하나: music_id, music_url.
| 필드 | 필수 | 규격 |
|---|---|---|
music_id | 아니요 | string |
music_url | 아니요 | string |
max_id | 아니요 | string |
curl --get "https://api.apihop.ai/v1/instagram/v1/music/posts" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "music_id=564058920086577"v1-fetch_hashtag_posts
GET https://api.apihop.ai/v1/instagram/v1/hashtags/posts
성공한 요청당 가격: $0.001 (1000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
hashtag | 예 | string |
end_cursor | 아니요 | string |
curl --get "https://api.apihop.ai/v1/instagram/v1/hashtags/posts" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "hashtag=cat"v1-fetch_location_info
GET https://api.apihop.ai/v1/instagram/v1/locations/info
성공한 요청당 가격: $0.001 (1000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
location_id | 예 | string |
curl --get "https://api.apihop.ai/v1/instagram/v1/locations/info" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "location_id=703457703"v1-fetch_location_posts
GET https://api.apihop.ai/v1/instagram/v1/locations/posts
성공한 요청당 가격: $0.001 (1000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
location_id | 예 | string |
tab | 아니요 | string |
end_cursor | 아니요 | string |
curl --get "https://api.apihop.ai/v1/instagram/v1/locations/posts" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "location_id=703457703"v1-fetch_cities
GET https://api.apihop.ai/v1/instagram/v1/locations/cities
성공한 요청당 가격: $0.001 (1000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
country_code | 예 | string |
page | 아니요 | integer; >= 1 |
curl --get "https://api.apihop.ai/v1/instagram/v1/locations/cities" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "country_code=US"v1-fetch_locations
GET https://api.apihop.ai/v1/instagram/v1/locations
성공한 요청당 가격: $0.001 (1000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
city_id | 예 | string |
page | 아니요 | integer; >= 1 |
curl --get "https://api.apihop.ai/v1/instagram/v1/locations" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "city_id=c2791472"v1-fetch_explore_sections
GET https://api.apihop.ai/v1/instagram/v1/explore/sections
성공한 요청당 가격: $0.001 (1000 credits).
쿼리 매개변수가 없습니다.
curl --get "https://api.apihop.ai/v1/instagram/v1/explore/sections" \
-H "Authorization: Bearer YOUR_API_KEY"v1-fetch_section_posts
GET https://api.apihop.ai/v1/instagram/v1/explore/sections/posts
성공한 요청당 가격: $0.001 (1000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
section_id | 예 | string |
count | 아니요 | integer; >= 1; <= 50 |
max_id | 아니요 | string |
curl --get "https://api.apihop.ai/v1/instagram/v1/explore/sections/posts" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "section_id=10156104410190727"v2-shortcode_to_media_id
GET https://api.apihop.ai/v1/instagram/v2/media-ids
성공한 요청당 가격: $0.002 (2000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
shortcode | 예 | string |
curl --get "https://api.apihop.ai/v1/instagram/v2/media-ids" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "shortcode=DRhvwVLAHAG"v2-media_id_to_shortcode
GET https://api.apihop.ai/v1/instagram/v2/shortcodes
성공한 요청당 가격: $0.002 (2000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
media_id | 예 | string |
curl --get "https://api.apihop.ai/v1/instagram/v2/shortcodes" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "media_id=3774507992167247878"v2-user_id_to_username
GET https://api.apihop.ai/v1/instagram/v2/users/username
성공한 요청당 가격: $0.002 (2000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
user_id | 예 | string |
curl --get "https://api.apihop.ai/v1/instagram/v2/users/username" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "user_id=18527"v2-fetch_user_info
GET https://api.apihop.ai/v1/instagram/v2/users/profile
성공한 요청당 가격: $0.002 (2000 credits).
최소 하나: username, user_id.
| 필드 | 필수 | 규격 |
|---|---|---|
username | 아니요 | string |
user_id | 아니요 | string |
curl --get "https://api.apihop.ai/v1/instagram/v2/users/profile" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "username=instagram"v2-fetch_user_posts
GET https://api.apihop.ai/v1/instagram/v2/users/posts
성공한 요청당 가격: $0.002 (2000 credits).
최소 하나: username, user_id.
| 필드 | 필수 | 규격 |
|---|---|---|
username | 아니요 | string |
user_id | 아니요 | string |
pagination_token | 아니요 | string |
curl --get "https://api.apihop.ai/v1/instagram/v2/users/posts" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "username=instagram"v2-fetch_user_reels
GET https://api.apihop.ai/v1/instagram/v2/users/reels
성공한 요청당 가격: $0.002 (2000 credits).
최소 하나: username, user_id.
| 필드 | 필수 | 규격 |
|---|---|---|
username | 아니요 | string |
user_id | 아니요 | string |
pagination_token | 아니요 | string |
curl --get "https://api.apihop.ai/v1/instagram/v2/users/reels" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "username=instagram"v2-fetch_user_followers
GET https://api.apihop.ai/v1/instagram/v2/users/followers
성공한 요청당 가격: $0.002 (2000 credits).
최소 하나: username, user_id.
| 필드 | 필수 | 규격 |
|---|---|---|
username | 아니요 | string |
user_id | 아니요 | string |
pagination_token | 아니요 | string |
curl --get "https://api.apihop.ai/v1/instagram/v2/users/followers" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "username=instagram"v2-fetch_user_following
GET https://api.apihop.ai/v1/instagram/v2/users/following
성공한 요청당 가격: $0.002 (2000 credits).
최소 하나: username, user_id.
| 필드 | 필수 | 규격 |
|---|---|---|
username | 아니요 | string |
user_id | 아니요 | string |
pagination_token | 아니요 | string |
curl --get "https://api.apihop.ai/v1/instagram/v2/users/following" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "username=instagram"v2-fetch_user_stories
GET https://api.apihop.ai/v1/instagram/v2/users/stories
성공한 요청당 가격: $0.002 (2000 credits).
최소 하나: username, user_id.
| 필드 | 필수 | 규격 |
|---|---|---|
username | 아니요 | string |
user_id | 아니요 | string |
curl --get "https://api.apihop.ai/v1/instagram/v2/users/stories" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "username=instagram"v2-fetch_user_highlights
GET https://api.apihop.ai/v1/instagram/v2/users/highlights
성공한 요청당 가격: $0.002 (2000 credits).
최소 하나: username, user_id.
| 필드 | 필수 | 규격 |
|---|---|---|
username | 아니요 | string |
user_id | 아니요 | string |
curl --get "https://api.apihop.ai/v1/instagram/v2/users/highlights" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "username=instagram"v2-fetch_highlight_stories
GET https://api.apihop.ai/v1/instagram/v2/highlights/stories
성공한 요청당 가격: $0.002 (2000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
highlight_id | 예 | string |
curl --get "https://api.apihop.ai/v1/instagram/v2/highlights/stories" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "highlight_id=17895069621772257"v2-fetch_user_tagged_posts
GET https://api.apihop.ai/v1/instagram/v2/users/tagged-posts
성공한 요청당 가격: $0.002 (2000 credits).
최소 하나: username, user_id.
| 필드 | 필수 | 규격 |
|---|---|---|
username | 아니요 | string |
user_id | 아니요 | string |
pagination_token | 아니요 | string |
curl --get "https://api.apihop.ai/v1/instagram/v2/users/tagged-posts" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "username=instagram"v2-fetch_similar_users
GET https://api.apihop.ai/v1/instagram/v2/users/similar
성공한 요청당 가격: $0.002 (2000 credits).
최소 하나: username, user_id.
| 필드 | 필수 | 규격 |
|---|---|---|
username | 아니요 | string |
user_id | 아니요 | string |
curl --get "https://api.apihop.ai/v1/instagram/v2/users/similar" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "username=instagram"v2-search_users
GET https://api.apihop.ai/v1/instagram/v2/search/users
성공한 요청당 가격: $0.002 (2000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
keyword | 예 | string |
curl --get "https://api.apihop.ai/v1/instagram/v2/search/users" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "keyword=instagram"v2-general_search
GET https://api.apihop.ai/v1/instagram/v2/search
성공한 요청당 가격: $0.002 (2000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
keyword | 예 | string |
pagination_token | 아니요 | string |
curl --get "https://api.apihop.ai/v1/instagram/v2/search" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "keyword=cat"v2-search_reels
GET https://api.apihop.ai/v1/instagram/v2/search/reels
성공한 요청당 가격: $0.002 (2000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
keyword | 예 | string |
pagination_token | 아니요 | string |
curl --get "https://api.apihop.ai/v1/instagram/v2/search/reels" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "keyword=cat"v2-search_music
GET https://api.apihop.ai/v1/instagram/v2/search/music
성공한 요청당 가격: $0.002 (2000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
keyword | 예 | string |
curl --get "https://api.apihop.ai/v1/instagram/v2/search/music" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "keyword=happy"v2-search_hashtags
GET https://api.apihop.ai/v1/instagram/v2/search/hashtags
성공한 요청당 가격: $0.002 (2000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
keyword | 예 | string |
curl --get "https://api.apihop.ai/v1/instagram/v2/search/hashtags" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "keyword=cat"v2-search_locations
GET https://api.apihop.ai/v1/instagram/v2/search/locations
성공한 요청당 가격: $0.002 (2000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
keyword | 예 | string |
curl --get "https://api.apihop.ai/v1/instagram/v2/search/locations" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "keyword=paris"v2-search_by_coordinates
GET https://api.apihop.ai/v1/instagram/v2/locations/nearby
성공한 요청당 가격: $0.002 (2000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
latitude | 예 | number |
longitude | 예 | number |
curl --get "https://api.apihop.ai/v1/instagram/v2/locations/nearby" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "latitude=40.7" \
--data-urlencode "longitude=-74"v2-fetch_post_info
GET https://api.apihop.ai/v1/instagram/v2/posts/info
성공한 요청당 가격: $0.002 (2000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
code_or_url | 예 | string |
curl --get "https://api.apihop.ai/v1/instagram/v2/posts/info" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "code_or_url=DRhvwVLAHAG"v2-fetch_post_likes
GET https://api.apihop.ai/v1/instagram/v2/posts/likes
성공한 요청당 가격: $0.002 (2000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
code_or_url | 예 | string |
end_cursor | 아니요 | string |
curl --get "https://api.apihop.ai/v1/instagram/v2/posts/likes" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "code_or_url=DRhvwVLAHAG"v2-fetch_post_comments
GET https://api.apihop.ai/v1/instagram/v2/posts/comments
성공한 요청당 가격: $0.002 (2000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
code_or_url | 예 | string |
sort_by | 아니요 | string |
pagination_token | 아니요 | string |
curl --get "https://api.apihop.ai/v1/instagram/v2/posts/comments" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "code_or_url=DRhvwVLAHAG"v2-fetch_comment_replies
GET https://api.apihop.ai/v1/instagram/v2/comments/replies
성공한 요청당 가격: $0.002 (2000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
code_or_url | 예 | string |
comment_id | 예 | string |
pagination_token | 아니요 | string |
curl --get "https://api.apihop.ai/v1/instagram/v2/comments/replies" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "code_or_url=DRhvwVLAHAG" \
--data-urlencode "comment_id=18067775592012345"v2-fetch_music_posts
GET https://api.apihop.ai/v1/instagram/v2/music/posts
성공한 요청당 가격: $0.002 (2000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
audio_canonical_id | 예 | string |
pagination_token | 아니요 | string |
curl --get "https://api.apihop.ai/v1/instagram/v2/music/posts" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "audio_canonical_id=564058920086577"v2-fetch_location_posts
GET https://api.apihop.ai/v1/instagram/v2/locations/posts
성공한 요청당 가격: $0.002 (2000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
location_id | 예 | string |
pagination_token | 아니요 | string |
curl --get "https://api.apihop.ai/v1/instagram/v2/locations/posts" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "location_id=331004901"v2-fetch_hashtag_posts
GET https://api.apihop.ai/v1/instagram/v2/hashtags/posts
성공한 요청당 가격: $0.002 (2000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
keyword | 예 | string |
feed_type | 아니요 | string |
pagination_token | 아니요 | string |
curl --get "https://api.apihop.ai/v1/instagram/v2/hashtags/posts" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "keyword=cat"v3-search_users
GET https://api.apihop.ai/v1/instagram/v3/search/users
성공한 요청당 가격: $0.008 (8000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
query | 예 | string |
rank_token | 아니요 | string |
curl --get "https://api.apihop.ai/v1/instagram/v3/search/users" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "query=justin"v3-search_hashtags
GET https://api.apihop.ai/v1/instagram/v3/search/hashtags
성공한 요청당 가격: $0.008 (8000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
query | 예 | string |
rank_token | 아니요 | string |
curl --get "https://api.apihop.ai/v1/instagram/v3/search/hashtags" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "query=fashion"v3-general_search
GET https://api.apihop.ai/v1/instagram/v3/search
성공한 요청당 가격: $0.008 (8000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
query | 예 | string |
next_max_id | 아니요 | string |
rank_token | 아니요 | string |
enable_metadata | 아니요 | boolean |
curl --get "https://api.apihop.ai/v1/instagram/v3/search" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "query=justin"v3-get_user_id_by_username
GET https://api.apihop.ai/v1/instagram/v3/users/id
성공한 요청당 가격: $0.008 (8000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
username | 예 | string |
curl --get "https://api.apihop.ai/v1/instagram/v3/users/id" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "username=liensue.talks"v3-user_id_to_username
GET https://api.apihop.ai/v1/instagram/v3/users/username
성공한 요청당 가격: $0.008 (8000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
user_id | 예 | string |
curl --get "https://api.apihop.ai/v1/instagram/v3/users/username" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "user_id=25025320"v3-get_user_profile
GET https://api.apihop.ai/v1/instagram/v3/users/profile
성공한 요청당 가격: $0.008 (8000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
username | 예 | string |
curl --get "https://api.apihop.ai/v1/instagram/v3/users/profile" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "username=instagram"v3-get_user_brief
GET https://api.apihop.ai/v1/instagram/v3/users/brief
성공한 요청당 가격: $0.008 (8000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
user_id | 예 | string |
username | 예 | string |
curl --get "https://api.apihop.ai/v1/instagram/v3/users/brief" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "user_id=791258468" \
--data-urlencode "username=99brasil"v3-get_user_posts
GET https://api.apihop.ai/v1/instagram/v3/users/posts
성공한 요청당 가격: $0.008 (8000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
username | 예 | string |
first | 아니요 | integer; >= 1; <= 50 |
after | 아니요 | string |
before | 아니요 | string |
last | 아니요 | integer |
count | 아니요 | integer |
curl --get "https://api.apihop.ai/v1/instagram/v3/users/posts" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "username=99brasil"v3-get_user_tagged_posts
GET https://api.apihop.ai/v1/instagram/v3/users/tagged-posts
성공한 요청당 가격: $0.008 (8000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
username | 예 | string |
first | 아니요 | integer; >= 1; <= 50 |
after | 아니요 | string |
before | 아니요 | string |
last | 아니요 | integer |
count | 아니요 | integer |
curl --get "https://api.apihop.ai/v1/instagram/v3/users/tagged-posts" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "username=instagram"v3-get_user_reels
GET https://api.apihop.ai/v1/instagram/v3/users/reels
성공한 요청당 가격: $0.008 (8000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
username | 예 | string |
first | 아니요 | integer; >= 1; <= 50 |
after | 아니요 | string |
before | 아니요 | string |
last | 아니요 | integer |
page_size | 아니요 | integer |
curl --get "https://api.apihop.ai/v1/instagram/v3/users/reels" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "username=instagram"v3-get_user_highlights
GET https://api.apihop.ai/v1/instagram/v3/users/highlights
성공한 요청당 가격: $0.008 (8000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
username | 예 | string |
first | 아니요 | integer; >= 1; <= 50 |
after | 아니요 | string |
before | 아니요 | string |
last | 아니요 | integer |
curl --get "https://api.apihop.ai/v1/instagram/v3/users/highlights" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "username=instagram"v3-get_highlight_stories
GET https://api.apihop.ai/v1/instagram/v3/highlights/stories
성공한 요청당 가격: $0.008 (8000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
highlight_id | 예 | string |
reel_ids | 아니요 | string |
first | 아니요 | integer |
last | 아니요 | integer |
curl --get "https://api.apihop.ai/v1/instagram/v3/highlights/stories" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "highlight_id=highlight:18064916456320419"v3-get_user_about
GET https://api.apihop.ai/v1/instagram/v3/users/about
성공한 요청당 가격: $0.008 (8000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
username | 예 | string |
curl --get "https://api.apihop.ai/v1/instagram/v3/users/about" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "username=instagram"v3-get_user_former_usernames
GET https://api.apihop.ai/v1/instagram/v3/users/former-usernames
성공한 요청당 가격: $0.008 (8000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
username | 예 | string |
curl --get "https://api.apihop.ai/v1/instagram/v3/users/former-usernames" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "username=instagram"v3-get_user_stories
GET https://api.apihop.ai/v1/instagram/v3/users/stories
성공한 요청당 가격: $0.008 (8000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
username | 예 | string |
curl --get "https://api.apihop.ai/v1/instagram/v3/users/stories" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "username=instagram"v3-get_recommended_reels
GET https://api.apihop.ai/v1/instagram/v3/reels/recommended
성공한 요청당 가격: $0.008 (8000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
first | 아니요 | integer; >= 1; <= 50 |
after | 아니요 | string |
curl --get "https://api.apihop.ai/v1/instagram/v3/reels/recommended" \
-H "Authorization: Bearer YOUR_API_KEY"v3-get_post_info
GET https://api.apihop.ai/v1/instagram/v3/posts/info
성공한 요청당 가격: $0.008 (8000 credits).
최소 하나: media_id, url.
| 필드 | 필수 | 규격 |
|---|---|---|
media_id | 아니요 | string |
url | 아니요 | string |
curl --get "https://api.apihop.ai/v1/instagram/v3/posts/info" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "media_id=3850699893338385742"v3-get_post_info_by_code
GET https://api.apihop.ai/v1/instagram/v3/posts/by-code
성공한 요청당 가격: $0.008 (8000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
code | 예 | string |
curl --get "https://api.apihop.ai/v1/instagram/v3/posts/by-code" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "code=DUajw4YkorV"v3-get_post_comments
GET https://api.apihop.ai/v1/instagram/v3/posts/comments
성공한 요청당 가격: $0.008 (8000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
code | 예 | string |
min_id | 아니요 | string |
sort_order | 아니요 | string; popular, newest |
curl --get "https://api.apihop.ai/v1/instagram/v3/posts/comments" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "code=DUajw4YkorV"v3-get_comment_replies
GET https://api.apihop.ai/v1/instagram/v3/comments/replies
성공한 요청당 가격: $0.008 (8000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
media_id | 예 | string |
comment_id | 예 | string |
min_id | 아니요 | string |
curl --get "https://api.apihop.ai/v1/instagram/v3/comments/replies" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "media_id=3829530490739515971" \
--data-urlencode "comment_id=18065937092249736"v3-get_post_oembed
GET https://api.apihop.ai/v1/instagram/v3/posts/oembed
성공한 요청당 가격: $0.008 (8000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
url | 예 | string |
hidecaption | 아니요 | boolean |
maxwidth | 아니요 | integer |
curl --get "https://api.apihop.ai/v1/instagram/v3/posts/oembed" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "url=https://www.instagram.com/reel/DUlObENDmJD"v3-translate_comment
GET https://api.apihop.ai/v1/instagram/v3/comments/translation
성공한 요청당 가격: $0.008 (8000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
comment_id | 예 | string |
curl --get "https://api.apihop.ai/v1/instagram/v3/comments/translation" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "comment_id=18191961100350646"v3-bulk_translate_comments
GET https://api.apihop.ai/v1/instagram/v3/comments/translations
성공한 요청당 가격: $0.008 (8000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
comment_ids | 예 | string |
curl --get "https://api.apihop.ai/v1/instagram/v3/comments/translations" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "comment_ids=18099342953509681"v3-get_explore
GET https://api.apihop.ai/v1/instagram/v3/explore
성공한 요청당 가격: $0.008 (8000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
max_id | 아니요 | string |
curl --get "https://api.apihop.ai/v1/instagram/v3/explore" \
-H "Authorization: Bearer YOUR_API_KEY"v3-get_user_following
GET https://api.apihop.ai/v1/instagram/v3/users/following
성공한 요청당 가격: $0.008 (8000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
username | 예 | string |
count | 아니요 | integer; >= 1; <= 100 |
max_id | 아니요 | string |
curl --get "https://api.apihop.ai/v1/instagram/v3/users/following" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "username=instagram"v3-get_user_followers
GET https://api.apihop.ai/v1/instagram/v3/users/followers
성공한 요청당 가격: $0.008 (8000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
username | 예 | string |
count | 아니요 | integer; >= 1; <= 100 |
max_id | 아니요 | string |
curl --get "https://api.apihop.ai/v1/instagram/v3/users/followers" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "username=instagram"v3-get_location_info
GET https://api.apihop.ai/v1/instagram/v3/locations/info
성공한 요청당 가격: $0.008 (8000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
location_id | 예 | string |
show_nearby | 아니요 | boolean |
curl --get "https://api.apihop.ai/v1/instagram/v3/locations/info" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "location_id=1016248898"v3-get_location_posts
GET https://api.apihop.ai/v1/instagram/v3/locations/posts
성공한 요청당 가격: $0.008 (8000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
location_id | 예 | string |
tab | 아니요 | string; ranked, recent |
first | 아니요 | integer; >= 1; <= 50 |
after | 아니요 | string |
page_size_override | 아니요 | integer |
curl --get "https://api.apihop.ai/v1/instagram/v3/locations/posts" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "location_id=1016248898"v3-get_location_nearby
GET https://api.apihop.ai/v1/instagram/v3/locations/nearby-content
성공한 요청당 가격: $0.008 (8000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
location_id | 예 | string |
curl --get "https://api.apihop.ai/v1/instagram/v3/locations/nearby-content" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "location_id=213385402"v3-shortcode_to_media_id
GET https://api.apihop.ai/v1/instagram/v3/media-ids
성공한 요청당 가격: $0.002 (2000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
shortcode | 예 | string |
curl --get "https://api.apihop.ai/v1/instagram/v3/media-ids" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "shortcode=CrgVBtHrFHm"v3-media_id_to_shortcode
GET https://api.apihop.ai/v1/instagram/v3/shortcodes
성공한 요청당 가격: $0.002 (2000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
media_id | 예 | string |
curl --get "https://api.apihop.ai/v1/instagram/v3/shortcodes" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "media_id=3850699893338385742"v3-extract_shortcode
GET https://api.apihop.ai/v1/instagram/v3/shortcodes/from-url
성공한 요청당 가격: $0.002 (2000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
url | 예 | string |
curl --get "https://api.apihop.ai/v1/instagram/v3/shortcodes/from-url" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "url=https://www.instagram.com/p/CrgVBtHrFHm/"v3-get_post_likes
GET https://api.apihop.ai/v1/instagram/v3/posts/likes
성공한 요청당 가격: $0.008 (8000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
code | 예 | string |
curl --get "https://api.apihop.ai/v1/instagram/v3/posts/likes" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "code=DavSf9yS6wy"v3-get_similar_users
GET https://api.apihop.ai/v1/instagram/v3/users/similar
성공한 요청당 가격: $0.008 (8000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
user_id | 예 | string |
curl --get "https://api.apihop.ai/v1/instagram/v3/users/similar" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "user_id=25025320"v3-search_by_coordinates
GET https://api.apihop.ai/v1/instagram/v3/locations/nearby
성공한 요청당 가격: $0.008 (8000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
latitude | 예 | number |
longitude | 예 | number |
curl --get "https://api.apihop.ai/v1/instagram/v3/locations/nearby" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "latitude=40.7" \
--data-urlencode "longitude=-74"v3-get_hashtag_posts
GET https://api.apihop.ai/v1/instagram/v3/hashtags/posts
성공한 요청당 가격: $0.008 (8000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
tag | 예 | string |
max_id | 아니요 | string |
curl --get "https://api.apihop.ai/v1/instagram/v3/hashtags/posts" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "tag=cat"v3-get_music_posts
GET https://api.apihop.ai/v1/instagram/v3/music/posts
성공한 요청당 가격: $0.008 (8000 credits).
| 필드 | 필수 | 규격 |
|---|---|---|
audio_cluster_id | 예 | string |
max_id | 아니요 | string |
curl --get "https://api.apihop.ai/v1/instagram/v3/music/posts" \
-H "Authorization: Bearer YOUR_API_KEY" \
--data-urlencode "audio_cluster_id=18066165960103621"응답
원본 JSON, code/data 구조 및 숫자 정밀도를 유지합니다. 구조는 작업마다 다릅니다. 성공한 빈 결과도 과금될 수 있으며 오류는 빈 결과가 아닙니다. 아래는 설명용 예시이며 실제 응답이 아닙니다.
{"code":200,"data":{"user":{"id":"25025320","username":"instagram"}}}오류
HTTP 400은 잘못된 매개변수, 401은 인증 실패, 402는 잔액 부족, 403은 접근 거부, 429는 요청 제한, 5xx는 서비스 또는 공급자 오류를 나타냅니다. 문제 해결을 위해 X-Request-Id를 보관하세요. 실패한 업무 코드를 포함하는 HTTP 200은 성공이 아닙니다.
출처
2026-10-31에 공식 스키마와 최신 가격 메타데이터를 대조했습니다. 설명의 가격과 충돌하면 최신 메타데이터를 우선합니다.